Skip to main content
GET
/
speakers
/
{speaker_id}
Get One Speaker
curl --request GET \
  --url https://api.swoogo.com/api/v1/speakers/{speaker_id} \
  --header 'Authorization: Bearer <token>'
{
  "bio": null,
  "company": "Stinson Leonard Street",
  "created_at": "2016-09-06 18:32:59",
  "email": "joel.abrahamson@stinsonleonard.com",
  "event_id": 1,
  "first_name": "Joel",
  "id": 1,
  "job_title": null,
  "last_name": "Abrahamson",
  "profile_picture": "",
  "updated_at": "2016-09-06 18:32:59"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

speaker_id
integer
required

integer - required - The ID of the speaker you want to use

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,first_name,last_name,company"

expand
string

string - optional - Use sessions to include the list of sessions assigned to this speaker

Example:

"sessions"

Response

Get Speaker

bio
unknown
company
string
Example:

"Stinson Leonard Street"

created_at
string
Example:

"2016-09-06 18:32:59"

email
string
Example:

"joel.abrahamson@stinsonleonard.com"

event_id
number
Example:

1

first_name
string
Example:

"Joel"

id
number
Example:

1

job_title
unknown
last_name
string
Example:

"Abrahamson"

profile_picture
string
Example:

""

updated_at
string
Example:

"2016-09-06 18:32:59"